<?php
namespace App\JsonRpc;
interface WebsiteServiceInterface
{
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsitetList(string $keyword,int $page,int $pageSize);

    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id,array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id);

    /**
     * 查询网站信息
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id);

}
